# ~*~ coding: utf-8
import objects

# täiendid. lubatud ignoreerimiseks.
allowed_ignores_marks = [
    '@AN>', '@<AN', '@DN>', '@<DN', '@KN>', '@<KN', '@NN>',
    '@<NN', '@VN>', '@INFN>', '@<INFN', '@J', '@Q >', '@<Q', '@P>'
]

# sõnad lubatud.
allowed_ignores_words = [
    u'ainult', u'arvatavasti', u'eks', u'ent', u'hoopis', u'jah', 'ju', 'juba', u'just',
    u'ka', u'kas', u'küll', u'küllap', u'las', u'loomulikult', u'minu meelest', u'muidugi',
    u'no', u'ometi', u'pealegi', u'siis', u'siiski', u'tõenäoliselt', u'vaat', u'veel', u'võib-olla',
    u'kuigi', u'arvates', u'eelkõige', u'igatahes', u'ilmselt', u'ilmtingimata', u'kahjuks',
    u'kasvõi', u'kindlasti', u'niisiis', u'samuti', u'seega', u'tõepoolest', u'vist'
]


# sõnad ignoreerida, kui esineb ADVL märgend?
conditional_ignore = {
    'ADVL': {'wordlist': [u'päris', u'üsna', u'väga', u'hästi', u'täielikult', u'mõneti', u'kõige',
                          u'igati', u'nii', u'peamiselt', u'enam', u'liiga', u'tõsiselt'],
             'ignore_ignore_pos': [0]
        }
}


#vajalikud.
#L0 S com sg gen cap
needed = [
    '@OBJ', '@SUBJ', '@PRD', '@FMV', '@FCV', '@IMV', '@ADVL', ' S ', ' K ', ' P ', '@NEG',
    'impf ps3 sg', 'Z Fst', 'Z Com', 'indic pres', 'indic impf', 'imper', 'neg', 'ad', 'pres ps1',
    'pres ps3 sg', 'impf ps1', 'impf ps3 sg', 'D cap @ADVL'
]

restart_list = ['CLB']

# -- lõpp
# imps
# CLB 
# Z Int 
# 
#  ei tohi olla see.
# sellised S ei sobi. otsida midagi muud.
# -- S
# skip_list = {
#     ' S ': ['com sg nom',
#         'com sg gen',
#         'com sg part',
#         'com pl nom',
#         'com pl gen',
#         'com pl part',
#         'prop sg nom',
#         'prop sg gen',
#         'prop sg part',
#         'prop pl nom',
#         'prop pl gen',
#         'prop pl part']
# }
# skip_list.update({' P ': skip_list[' S ']})

skip_list = {
    ' S ': ['ADVL'],
}
skip_list.update({' P ': skip_list[' S ']})
skip_list.update({' K ': skip_list[' S ']})

# Z Int
# Z Exc
full_stop = {'marks': ['imps', 'Z Int', 'Z Exc'], 'words': ['kui']}
start_stop_words=['kuna', 'kes', 'mis', 'kuidas', 'millal', 'milline', 'missugune']
restart_list = [' CLB ']

allowed_lookbacks = ['@SUBJ', '@OBJ', '@PRD']

null_prev_on_skip = False

#-- reeglid
rules = objects.RulesList([

    {64: ['@ADVL', '@FMV', '@SUBJ', '@ADVL', '@PRD']},
    {65: ['ad', '@FCV', '@IMV', ' S ', '@SUBJ', 'D cap @ADVL']},
    {66: ['ad', '@FCV', '@IMV', ' K ', '@SUBJ', 'D cap @ADVL']},
    {67: ['ad', '@FCV', '@IMV', ' P ', '@SUBJ', 'D cap @ADVL']},
    {68: ['@SUBJ', '@FCV', '@IMV', ' S ', 'D cap @ADVL', '@OBJ']},
    {69: ['@SUBJ', '@FCV', '@IMV', ' K ', 'D cap @ADVL', '@OBJ']},
    {70: ['@SUBJ', '@FCV', '@IMV', ' P ', 'D cap @ADVL', '@OBJ']},
    {71: ['@SUBJ', '@FCV', '@IMV', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {72: ['@ADVL', '@OBJ', '@FCV', 'D cap @ADVL', '@IMV']},
    {73: ['@ADVL', '@FMV', '@SUBJ', '@ADVL', '@PRD']},
    {74: ['@SUBJ', '@FCV', '@OBJ', '@IMV', '@IMV']},
    {77: ['@ADVL', '@FCV', '@ADVL', '@IMV', '@SUBJ']},
    {78: ['@SUBJ', '@FCV', ' S ', '@OBJ', '@IMV']},
    {79: ['@SUBJ', '@FCV', ' K ', '@OBJ', '@IMV']},
    {80: ['@SUBJ', '@FCV', ' P ', '@OBJ', '@IMV']},
    {81: ['@ADVL', 'Z Com', '@SUBJ', '@FMV', '@ADVL']},
    {82: ['@SUBJ', '@NEG', '@FMV', ' S ', '@OBJ']},
    {83: ['@SUBJ', '@NEG', '@FMV', ' K ', '@OBJ']},
    {84: ['@SUBJ', '@NEG', '@FMV', ' P ', '@OBJ']},
    {85: ['@ADVL', '@SUBJ', '@NEG', '@FMV', '@OBJ']},
    {86: ['@ADVL', '@NEG', '@FMV', ' S ', ' X ']},
    {87: ['@SUBJ', '@FMV', ' S ', '@OBJ', '@IMV']},
    {88: ['@SUBJ', '@FMV', ' P ', '@OBJ', '@IMV']},
    {89: ['@SUBJ', '@FMV', ' K ', '@OBJ', '@IMV']},
    {90: ['@SUBJ', '@FCV', '@IMV', ' S ', '@IMV']},
    {91: ['@SUBJ', '@FCV', '@IMV', ' K ', '@IMV']},
    {92: ['@SUBJ', '@FCV', '@IMV', ' P ', '@IMV']},
    {93: ['@FCV', '@IMV', ' S ', '@OBJ', '@IMV']},
    {94: ['@FCV', '@IMV', ' K ', '@OBJ', '@IMV']},
    {95: ['@FCV', '@IMV', ' P ', '@OBJ', '@IMV']},
    {96: ['ad', '@FMV', ' S ', '@SUBJ', 'D cap @ADVL']},
    {97: ['ad', '@FMV', ' K ', '@SUBJ', 'D cap @ADVL']},
    {98: ['ad', '@FMV', ' P ', '@SUBJ', 'D cap @ADVL']},
    {99: ['ad', '@FCV', ' S ', '@SUBJ', 'D cap @ADVL']},
    {100: ['ad', '@FCV', ' K ', '@SUBJ', 'D cap @ADVL']},
    {101: ['ad', '@FCV', ' P ', '@SUBJ', 'D cap @ADVL']},
    {102: ['ad', 'indic pres', ' S ', '@SUBJ', 'D cap @ADVL']},
    {103: ['ad', 'indic pres', ' K ', '@SUBJ', 'D cap @ADVL']},
    {104: ['ad', 'indic pres', ' P ', '@SUBJ', 'D cap @ADVL']},
    {105: ['ad', 'indic impf', ' S ', '@SUBJ', 'D cap @ADVL']},
    {106: ['ad', 'indic impf', ' K ', '@SUBJ', 'D cap @ADVL']},
    {107: ['ad', 'indic impf', ' P ', '@SUBJ', 'D cap @ADVL']},
    {108: ['@SUBJ', '@FCV', ' S ', 'D cap @ADVL', '@IMV']},
    {109: ['@SUBJ', '@FCV', ' K ', 'D cap @ADVL', '@IMV']},
    {110: ['@SUBJ', '@FCV', ' P ', 'D cap @ADVL', '@IMV']},
    {111: ['@SUBJ', '@FCV', '@OBJ', 'D cap @ADVL', '@IMV']},
    {112: ['@SUBJ', '@FMV', ' S ', 'D cap @ADVL', '@OBJ']},
    {113: ['@SUBJ', '@FMV', ' K ', 'D cap @ADVL', '@OBJ']},
    {114: ['@SUBJ', '@FMV', ' P ', 'D cap @ADVL', '@OBJ']},
    {115: ['@SUBJ', '@FMV', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {116: ['ps1', '@IMV', ' S ', 'D cap @ADVL', '@OBJ']},
    {117: ['ps1', '@IMV', ' K ', 'D cap @ADVL', '@OBJ']},
    {118: ['ps1', '@IMV', ' P ', 'D cap @ADVL', '@OBJ']},
    {119: ['ps1', '@IMV', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {120: ['ps3 sg', '@IMV', ' S ', 'D cap @ADVL', '@OBJ']},
    {121: ['ps3 sg', '@IMV', ' K ', 'D cap @ADVL', '@OBJ']},
    {122: ['ps3 sg', '@IMV', ' P ', 'D cap @ADVL', '@OBJ']},
    {123: ['ps3 sg', '@IMV', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {124: ['@SUBJ', '@FCV', '@IMV', ' X ', '@OBJ']},
    {125: ['@ADVL', '@FCV', '@SUBJ', '@OBJ', '@IMV']},
    {126: [' S ', '@FMV', '@SUBJ', '@IMV', '@OBJ']},
    {127: [' K ', '@FMV', '@SUBJ', '@IMV', '@OBJ']},
    {128: [' P ', '@FMV', '@SUBJ', '@IMV', '@OBJ']},
    {129: ['@ADVL', '@FMV', '@SUBJ', '@OBJ', '@IMV']},
    {130: ['@ADVL', '@FMV', ' S ', '@OBJ']},
    {131: ['@ADVL', '@FMV', ' K ', '@OBJ']},
    {132: ['@ADVL', '@FMV', ' P ', '@OBJ']},
    {133: ['@SUBJ', '@FCV', ' S ', '@IMV']},
    {134: ['@SUBJ', '@FCV', ' K ', '@IMV']},
    {135: ['@SUBJ', '@FCV', ' P ', '@IMV']},
    {136: ['@SUBJ', '@FCV', '@OBJ', '@IMV']},
    {137: ['@ADVL', '@FCV', '@SUBJ', '@ADVL']},
    {138: ['@PRD', '@FMV', '@ADVL', '@SUBJ']},
    {139: ['@SUBJ', '@FMV', '@OBJ', ' S ']},
    {140: ['@SUBJ', '@FMV', '@OBJ', ' K ']},
    {141: ['@SUBJ', '@FMV', '@OBJ', ' P ']},
    {142: ['@ADVL', '@FCV', '@SUBJ', '@OBJ']},
    {143: ['@ADVL', '@SUBJ', '@FMV', '@ADVL']},
    {144: ['@FCV', ' S ', 'D cap @ADVL', '@IMV']},
    {145: ['@FCV', ' K ', 'D cap @ADVL', '@IMV']},
    {146: ['@FCV', ' P ', 'D cap @ADVL', '@IMV']},
    {148: ['CLB', '@FMV', '@ADVL', '@SUBJ']},
    {149: ['@ADVL', '@FMV', 'D cap @ADVL', '@SUBJ']},
    {150: ['@SUBJ', '@FMV', ' K ', '@OBJ']},
    {151: ['@FMV', '@SUBJ', '@PRD']},
    {152: ['@SUBJ', '@FMV', ' K ', ' S ']},
    {153: ['@SUBJ', '@FMV', ' K ', ' K ']},
    {154: ['@SUBJ', '@FMV', ' K ', ' P ']},
    {155: ['@SUBJ', '@ADVL', '@FMV', '@OBJ']},
    {156: ['@SUBJ', '@OBJ', '@NEG', '@FMV']},
    {157: ['@SUBJ', '@NEG', '@FMV']},
    {158: ['@SUBJ', '@NEG', '@FMV', ' S ']},
    {159: ['@SUBJ', '@NEG', '@FMV', ' K ']},
    {160: ['@SUBJ', '@NEG', '@FMV', ' P ']},
    {161: ['@ADVL', '@NEG', '@FMV', ' K ']},
    {162: ['@ADVL', '@NEG', '@FMV', ' P ']},
    {163: ['@SUBJ', '@FCV', '@ADVL', '@IMV']},
    {164: ['@SUBJ', '@FCV', '@IMV', '@ADVL']},
    {165: ['@SUBJ', '@NEG', '@FMV', '@OBJ']},
    {166: ['@SUBJ', '@FCV', '@IMV', ' S ']},
    {167: ['@SUBJ', '@FCV', '@IMV', ' K ']},
    {168: ['@SUBJ', '@FCV', '@IMV', ' P ']},
    {169: ['@SUBJ', '@NEG', '@FCV', '@IMV']},
    {170: ['@SUBJ', '@NEG', '@FCV', '@OBJ']},
    {171: ['@ADVL', '@FMV', '@SUBJ', '@PRD']},
    {172: ['@ADVL', '@FMV', '@ADVL', '@SUBJ']},
    {173: ['@SUBJ', 'indic pres', ' S ', '@OBJ']},
    {174: ['@SUBJ', 'indic pres', ' K ', '@OBJ']},
    {175: ['@SUBJ', 'indic pres', ' P ', '@OBJ']},
    {176: ['@SUBJ', 'indic impf', ' S ', '@OBJ']},
    {177: ['@SUBJ', 'indic impf', ' K ', '@OBJ']},
    {178: ['@SUBJ', 'indic impf', ' P ', '@OBJ']},
    {179: ['@SUBJ', '@FMV', ' P ', '@OBJ']},
    {180: ['@FCV', ' S ', '@OBJ', '@IMV']},
    {181: ['@FCV', ' K ', '@OBJ', '@IMV']},
    {182: ['@FCV', ' P ', '@OBJ', '@IMV']},
    {183: ['ps1', ' K ', '@OBJ', '@IMV']},
    {184: ['ps1', ' P ', '@OBJ', '@IMV']},
    {185: ['ps3 sg', ' K ', '@OBJ', '@IMV']},
    {186: ['ps3 sg', ' P ', '@OBJ', '@IMV']},
    {187: ['imper', ' S ', '@OBJ', '@IMV']},
    {188: ['imper', ' P ', '@OBJ', '@IMV']},
    {189: ['@SUBJ', '@FCV', '@OBJ', '@IMV']},
    {190: ['neg', '@FMV', ' S ', 'D cap @ADVL']},
    {191: ['neg', '@FMV', ' K ', 'D cap @ADVL']},
    {192: ['neg', '@FMV', ' P ', 'D cap @ADVL']},
    {193: ['@SUBJ', '@FMV', ' S ', 'D cap @ADVL']},
    {194: ['@SUBJ', '@FMV', ' K ', 'D cap @ADVL']},
    {195: ['@SUBJ', '@FMV', ' P ', 'D cap @ADVL']},
    {196: ['@SUBJ', '@FMV', '@OBJ', 'D cap @ADVL']},
    {197: ['@SUBJ', '@FCV', ' S ', 'D cap @ADVL']},
    {198: ['@SUBJ', '@FCV', ' K ', 'D cap @ADVL']},
    {199: ['@SUBJ', '@FCV', ' P ', 'D cap @ADVL']},
    {200: ['@SUBJ', '@FCV', '@OBJ', 'D cap @ADVL']},
    {201: ['imper', ' S ', 'D cap @ADVL', '@OBJ']},
    {202: ['imper', ' K ', 'D cap @ADVL', '@OBJ']},
    {203: ['imper', ' P ', 'D cap @ADVL', '@OBJ']},
    {204: ['imper', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {205: ['@FCV', '@OBJ', 'D cap @ADVL', '@IMV']},
    {206: ['pres ps1', ' S ', 'D cap @ADVL', '@OBJ']},
    {207: ['pres ps1', ' K ', 'D cap @ADVL', '@OBJ']},
    {208: ['pres ps1', ' P ', 'D cap @ADVL', '@OBJ']},
    {209: ['pres ps1', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {210: ['pres ps3 sg', ' S ', 'D cap @ADVL', '@OBJ']},
    {211: ['pres ps3 sg', ' K ', 'D cap @ADVL', '@OBJ']},
    {212: ['pres ps3 sg', ' P ', 'D cap @ADVL', '@OBJ']},
    {213: ['pres ps3 sg', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {214: ['impf ps1', ' S ', 'D cap @ADVL', '@OBJ']},
    {215: ['impf ps1', ' K ', 'D cap @ADVL', '@OBJ']},
    {216: ['impf ps1', ' P ', 'D cap @ADVL', '@OBJ']},
    {217: ['impf ps1', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {218: ['impf ps3 sg', ' S ', 'D cap @ADVL', '@OBJ']},
    {219: ['impf ps3 sg', ' K ', 'D cap @ADVL', '@OBJ']},
    {220: ['impf ps3 sg', ' P ', 'D cap @ADVL', '@OBJ']},
    {221: ['impf ps3 sg', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {222: ['@FMV', ' S ', 'D cap @ADVL', '@OBJ']},
    {223: ['@FMV', ' K ', 'D cap @ADVL', '@OBJ']},
    {224: ['@FMV', ' P ', 'D cap @ADVL', '@OBJ']},
    {225: ['@FMV', '@OBJ', 'D cap @ADVL', '@OBJ']},
    {226: ['@SUBJ', '@FCV', ' X ', '@IMV']},
    {227: ['@SUBJ', '@FMV', ' X ', '@OBJ']},
    {228: ['@ADVL', '@FCV', '@SUBJ', '@IMV']},
    {229: ['@SUBJ', '@FMV', '@OBJ', '@ADVL']},
    {230: ['@ADVL', '@FMV', '@SUBJ', '@IMV']},
    {231: ['@SUBJ', '@NEG', '@FMV', '@IMV']},
    {232: ['@ADVL', '@FMV', '@SUBJ', '@OBJ']},
    {233: ['@SUBJ', '@FMV', '@PRD']},
    {234: ['@SUBJ', '@FMV', ' S ']},
    {235: ['@SUBJ', '@FMV', ' K ']},
    {236: ['@SUBJ', '@FMV', ' P ']},
    {237: ['@ADVL', '@FMV', '@SUBJ', '@PRD']},
    {238: ['@ADVL', '@FMV', '@OBJ']},
    {239: ['@SUBJ', '@FCV', '@PRD']},
    {240: ['@SUBJ', '@FMV', '@ADVL']},
    {241: ['@SUBJ', '@FMV', 'Z Fst']},
    {242: ['@SUBJ', '@FCV', '@IMV']},
    {243: ['@OBJ', '@FMV', '@ADVL']},
    {244: ['@FMV', '@PRD', 'Z Fst']},
    {245: ['@ADVL', '@FCV', '@SUBJ']},
    {246: ['@SUBJ', '@FMV', '@IMV']},
    {247: ['@FMV', '@ADVL', '@PRD']},
    {248: ['@SUBJ', '@FMV', '@OBJ']},
    {249: ['@SUBJ', '@FMV', '@IMV']},
    {250: ['@FCV', '@OBJ', '@IMV']},
    {251: ['@FMV', '@ADVL', 'Z Fst']},
    {252: ['@SUBJ', '@NEG', '@FMV']},
    {253: ['@FMV', '@OBJ', 'Z Fst']},
    {254: ['ps3 sg', 'D cap @ADVL', 'Z Fst']},
    {255: ['ps1', '@OBJ', 'Z Fst']},
    {256: ['ps3 sg', '@ADVL', 'Z Fst']},
    {257: ['ps3 sg', '@IMV', 'Z Fst']},
    {258: ['ps3 sg', '@PRD', 'Z Fst']},
    {259: ['@SUBJ', '@FMV', '@IMV']},
    {260: ['@FMV', '@SUBJ', 'Z Fst']},
    {261: ['@ADVL', '@FMV', '@ADVL']},
    {262: ['imper', ' S ', '@OBJ']},
    {263: ['imper', ' K ', '@OBJ']},
    {264: ['imper', ' P ', '@OBJ']},
    {265: ['ps1', ' S ', '@OBJ']},
    {266: ['ps1', ' K ', '@OBJ']},
    {267: ['ps1', ' P ', '@OBJ']},
    {268: ['ps3 sg', ' S ', '@OBJ']},
    {269: ['ps3 sg', ' K ', '@OBJ']},
    {270: ['ps3 sg', ' P ', '@OBJ']},
    {271: ['@FMV', ' S ', '@OBJ']},
    {272: ['@FMV', ' K ', '@OBJ']},
    {273: ['@FMV', ' P ', '@OBJ']},
    {274: ['imper', '@OBJ', 'Z Fst']},
    {275: ['@SUBJ', '@FCV', ' S ']},
    {276: ['@SUBJ', '@FCV', ' K ']},
    {277: ['imper', ' S ', 'Z Fst']},
    {278: ['imper', ' K ', 'Z Fst']},
    {279: ['imper', ' P ', 'Z Fst']},
    {280: ['imper', ' S ', 'D cap @ADVL']},
    {281: ['imper', ' K ', 'D cap @ADVL']},
    {282: ['imper', ' P ', 'D cap @ADVL']},
    {283: ['imper', '@OBJ', 'D cap @ADVL']},
    {284: ['pres ps1', ' S ', 'D cap @ADVL']},
    {285: ['pres ps1', ' K ', 'D cap @ADVL']},
    {286: ['pres ps1', ' P ', 'D cap @ADVL']},
    {287: ['pres ps1', '@OBJ', 'D cap @ADVL']},
    {288: ['pres ps3 sg', ' S ', 'D cap @ADVL']},
    {289: ['pres ps3 sg', ' K ', 'D cap @ADVL']},
    {290: ['pres ps3 sg', ' P ', 'D cap @ADVL']},
    {291: ['pres ps3 sg', '@OBJ', 'D cap @ADVL']},
    {292: ['impf ps1', ' S ', 'D cap @ADVL']},
    {293: ['impf ps1', ' K ', 'D cap @ADVL']},
    {294: ['impf ps1', ' P ', 'D cap @ADVL']},
    {295: ['impf ps1', '@OBJ', 'D cap @ADVL']},
    {296: ['impf ps3 sg', ' S ', 'D cap @ADVL']},
    {297: ['impf ps3 sg', ' K ', 'D cap @ADVL']},
    {298: ['impf ps3 sg', ' P ', 'D cap @ADVL']},
    {299: ['impf ps3 sg', '@OBJ', 'D cap @ADVL']},
    {300: ['@SUBJ', '@FMV', ' X ']},
    {301: ['@SUBJ', '@FCV', ' X ']},
    {302: ['@FCV', ' X ', '@IMV']},
    {303: ['@FMV', ' X ', '@OBJ']},
    {304: ['D cap @ADVL', '@FMV', '@SUBJ']},
    {305: ['impf ps3 sg', ' P ', 'D cap @ADVL']},
    {306: ['@FMV', 'Z Fst']},
    {307: ['imper', ' X ']},
	{308: ['@ADVL', '@FMV', '@SUBJ']} ,
	{309: ['@FMV', '@ADVL']} ,
	{310: ['@FMV', '@SUBJ']} ,
	{311: ['@FMV', '@OBJ']} ,
	{312: ['@ADVL', '@FMV']} ,
	{313: ['@FMV', '@ADVL', '@ADVL']} ,
	{314: ['@FMV', '@ADVL', '@ADVL', '@ADVL']} ,
	{315: ['@SUBJ', '@FCV', '@ADVL', '@OBJ', '@ADVL', '@IMV']} ,
	{316: ['@ADVL', '@FCV', '@ADVL', '@ADVL', '@IMV']} ,
	{317: ['@FMV', '@ADVL', '@OBJ']} ,
	{318: ['@FMV', '@OBJ', '@ADVL']} ,
	{319: [' P ', '@ADVL', '@FCV', '@ADVL', '@SUBJ', '@IMV']} ,
	{320: ['@FCV', '@ADVL', '@IMV']} ,
	{321: ['@ADVL', '@FCV', '@IMV', '@IMV', '@ADVL']} ,
	{322: ['@FMV', '@ADVL', '@IMV', '@IMV']} ,
	{323: ['@ADVL', '@FMV', '@SUBJ', '@ADVL']} ,
	{324: ['@FCV', '@IMV', '@ADVL', '@SUBJ']} ,
	{325: ['@ADVL', '@NEG', '@FMV', 'ad', '@ADVL']} ,
	{326: ['ad', '@ADVL', '@FCV', '@ADVL', '@IMV', '@ADVL', ' S ']} ,
	{327: ['@ADVL', '@NEG', '@FMV', '@ADVL']} ,
	{328: ['@FMV', '@PRD']} ,
	{329: ['@SUBJ', '@ADVL', '@FMV', 'Z Com', '@ADVL', '@SUBJ', '@ADVL']} ,
	{330: ['@FMV', '@ADVL', '@SUBJ']} ,
	{331: ['@SUBJ', '@ADVL', '@FMV', '@ADVL']} ,
	{332: ['@ADVL', '@NEG', '@FMV', '@ADVL', '@OBJ']} ,
	{333: ['ad', '@ADVL', '@ADVL', '@FMV', '@ADVL']} ,
	{334: ['@OBJ', '@NEG', '@FMV']} ,
	{335: ['@SUBJ', '@FMV', 'ad', '@ADVL', '@ADVL', '@ADVL']} ,
	{336: ['@ADVL', '@ADVL', '@FMV']} ,
	{337: ['@FMV', '@ADVL', '@ADVL', '@SUBJ']} ,
	{338: ['@OBJ', '@ADVL', '@ADVL']} ,
	{339: ['@PRD', '@FMV', '@SUBJ', '@ADVL']} ,
	{340: ['@ADVL', '@NEG', '@FMV', '@ADVL', '@SUBJ']} ,
	{341: ['@OBJ', '@SUBJ', '@FMV']} ,
	{342: ['@OBJ', '@FCV', '@ADVL', '@ADVL', '@IMV']} ,
	{343: ['@OBJ', '@ADVL', '@NEG', '@FMV', '@OBJ']} ,
	{344: ['@FMV', '@OBJ', '@ADVL', '@OBJ', '@ADVL', ' P ', '@ADVL']} ,
	{345: ['@FCV', '@IMV', '@ADVL', '@OBJ', '@ADVL', '@IMV']} ,
	{346: ['@ADVL', '@SUBJ', '@OBJ', '@ADVL', '@FMV', 'Z Com', '@ADVL', '@ADVL', '@PRD']} ,
	{347: ['@OBJ', '@SUBJ']} ,
	{348: ['@FMV', '@OBJ', '@ADVL', '@ADVL', '@ADVL']} ,
	{349: ['@SUBJ', '@FMV', '@FMV', '@OBJ']} ,
	{350: ['@ADVL', '@FMV', '@PRD']} ,
	{351: ['@FCV', '@ADVL', '@SUBJ', '@IMV']},
	{352: ['@SUBJ', '@FMV']} ,


{ 353 :[ '@NEG', '@FMV', '@SUBJ', '@OBJ' ]},
{ 354 :[ '@ADVL', '@FCV', '@IMV', '@SUBJ' ]},
{ 355 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL' ]},
{ 356 :[ '@SUBJ', '@FCV', '@IMV', '@ADVL', '@ADVL' ]},
{ 357 :[ '@ADVL', '@NEG', '@FMV' ]},
{ 358 :[ '@SUBJ', '@ADVL', '@NEG', '@FMV' ]},
{ 359 :[ '@SUBJ', '@NEG', '@FMV', '@ADVL', '@ADVL' ]},
{ 360 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@ADVL', '@IMV' ]},
{ 361 :[ '@ADVL', '@FMV', '@OBJ', '@ADVL', '@ADVL' ]},
{ 362 :[ '@ADVL', '@NEG', '@FMV', '@SUBJ', '@OBJ' ]},
{ 363 :[ '@ADVL', '@FMV', '@ADVL', '@ADVL', '@SUBJ' ]},
{ 364 :[ '@SUBJ', '@NEG', '@FMV', '@OBJ', '@ADVL' ]},
{ 365 :[ '@FMV', '@OBJ', '@ADVL', '@OBJ' ]},
{ 366 :[ '@SUBJ', '@FMV', '@OBJ', '@IMV' ]},
{ 367 :[ '@ADVL', '@FMV', '@PRD', '@SUBJ' ]},
{ 368 :[ '@ADVL', '@OBJ', '@NEG', '@FMV' ]},
{ 369 :[ '@ADVL', '@FMV', '@SUBJ', '@OBJ', '@ADVL' ]},
{ 370 :[ '@SUBJ', '@FCV', '@ADVL', '@OBJ', '@IMV' ]},
{ 371 :[ '@SUBJ', '@FCV', '@OBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 372 :[ '@ADVL', '@ADVL', '@ADVL', '@FMV', '@ADVL' ]},
{ 373 :[ '@FCV', '@ADVL', '@OBJ', '@IMV' ]},
{ 374 :[ '@FMV', '@SUBJ', '@OBJ' ]},
{ 375 :[ '@ADVL', '@SUBJ', '@OBJ', '@NEG', '@FMV' ]},
{ 376 :[ '@FMV', '@OBJ', '@IMV' ]},
{ 377 :[ '@SUBJ', '@ADVL', '@FCV', '@ADVL', '@IMV' ]},
{ 378 :[ '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL' ]},
{ 379 :[ '@SUBJ', '@FMV', '@ADVL', '@OBJ', '@ADVL' ]},
{ 380 :[ '@FMV', '@PRD', '@SUBJ' ]},
{ 381 :[ '@OBJ', '@FCV', '@ADVL', '@IMV' ]},
{ 382 :[ '@ADVL', '@FMV', '@ADVL', '@ADVL', '@ADVL' ]},
{ 383 :[ '@OBJ', '@FMV', '@PRD', '@SUBJ' ]},
{ 384 :[ '@ADVL', '@OBJ', '@FMV' ]},
{ 385 :[ '@SUBJ', '@FCV', '@IMV', '@OBJ' ]},
{ 386 :[ '@PRD', '@SUBJ', '@FMV' ]},
{ 387 :[ '@ADVL', '@ADVL', '@FMV', '@SUBJ' ]},
{ 388 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@OBJ', '@IMV' ]},
{ 389 :[ '@SUBJ', '@FMV', '@IMV', '@ADVL', '@OBJ' ]},
{ 390 :[ '@OBJ', '@SUBJ', '@FMV', '@ADVL', '@ADVL' ]},
{ 391 :[ '@ADVL', '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@OBJ' ]},
{ 392 :[ '@OBJ', '@FMV', '@ADVL', '@SUBJ' ]},
{ 393 :[ '@ADVL', '@ADVL', '@ADVL', '@FMV', '@SUBJ', '@OBJ', '@ADVL' ]},
{ 394 :[ '@SUBJ', '@FMV', '@IMV', '@PRD' ]},
{ 395 :[ '@ADVL', '@ADVL', '@NEG', '@FMV' ]},
{ 396 :[ '@ADVL', '@SUBJ', '@IMV', '@FMV' ]},
{ 397 :[ '@SUBJ', '@FCV', '@OBJ', '@ADVL', '@IMV' ]},
{ 398 :[ '@ADVL', '@OBJ', '@SUBJ', '@NEG', '@FMV' ]},
{ 399 :[ '@ADVL', '@NEG', '@FMV', '@ADVL', '@OBJ' ]},
{ 400 :[ '@ADVL', '@SUBJ', '@IMV', '@NEG', '@FMV' ]},
{ 401 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@ADVL', '@ADVL' ]},
{ 402 :[ '@ADVL', '@ADVL', '@FMV', '@ADVL', '@ADVL' ]},
{ 403 :[ '@SUBJ', '@ADVL', '@IMV' ]},
{ 404 :[ '@SUBJ', '@FMV', '@OBJ', '@ADVL', '@IMV' ]},
{ 405 :[ '@SUBJ', '@FCV', '@IMV', '@ADVL', '@OBJ' ]},
{ 406 :[ '@NEG', '@FMV', '@ADVL', '@SUBJ' ]},
{ 407 :[ '@SUBJ', '@NEG', '@FCV', '@ADVL', '@IMV' ]},
{ 408 :[ '@ADVL', '@OBJ', '@ADVL', '@FMV', '@SUBJ' ]},
{ 409 :[ '@ADVL', '@FMV', '@ADVL', '@OBJ' ]},
{ 410 :[ '@OBJ', '@NEG', '@FMV', '@SUBJ' ]},
{ 411 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@ADVL', '@OBJ' ]},
{ 412 :[ '@ADVL', '@SUBJ', '@FMV', '@ADVL', '@OBJ' ]},
{ 413 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL', '@OBJ' ]},
{ 414 :[ '@SUBJ', '@ADVL', '@FMV', '@ADVL', '@PRD' ]},
{ 415 :[ '@OBJ', '@FCV', '@SUBJ', '@IMV' ]},
{ 416 :[ '@ADVL', '@ADVL', '@FMV', '@ADVL', '@SUBJ' ]},
{ 417 :[ '@ADVL', '@SUBJ', '@FMV', '@OBJ', '@ADVL' ]},
{ 418 :[ '@NEG', '@FMV', '@SUBJ', '@ADVL' ]},
{ 419 :[ '@SUBJ', '@ADVL', '@FMV', '@OBJ', '@ADVL' ]},
{ 420 :[ '@ADVL', '@FMV', '@OBJ', '@SUBJ' ]},
{ 421 :[ '@ADVL', '@NEG', '@FMV', '@SUBJ', '@ADVL' ]},
{ 422 :[ '@OBJ', '@FMV', '@ADVL', '@ADVL' ]},
{ 423 :[ '@SUBJ', '@FMV', '@PRD', '@ADVL' ]},
{ 424 :[ '@OBJ', '@SUBJ', '@ADVL', '@NEG', '@FMV' ]},
{ 425 :[ '@SUBJ', '@FCV', '@ADVL', '@IMV', '@OBJ' ]},
{ 426 :[ '@SUBJ', '@ADVL', '@ADVL', '@NEG', '@FMV' ]},
{ 427 :[ '@OBJ', '@FMV', '@IMV' ]},
{ 428 :[ '@ADVL', '@FMV', '@SUBJ', '@OBJ', '@ADVL', '@IMV' ]},
{ 429 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@PRD' ]},
{ 430 :[ '@NEG', '@FMV', '@OBJ' ]},
{ 431 :[ '@ADVL', '@FCV', '@ADVL', '@IMV' ]},
{ 432 :[ '@ADVL', '@OBJ', '@FMV', '@SUBJ' ]},
{ 433 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@ADVL', '@PRD' ]},
{ 434 :[ '@ADVL', '@FCV', '@OBJ', '@IMV', '@OBJ', '@ADVL', '@ADVL' ]},
{ 435 :[ '@ADVL', '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@ADVL' ]},
{ 436 :[ '@SUBJ', '@NEG', '@FMV', '@ADVL', '@OBJ', '@IMV', '@PRD' ]},
{ 437 :[ '@SUBJ', '@NEG', '@FMV', '@OBJ', '@IMV' ]},
{ 438 :[ '@FCV', '@IMV', '@PRD', '@SUBJ', '@ADVL', '@ADVL', '@OBJ' ]},
{ 439 :[ '@OBJ', '@ADVL', '@FMV', '@ADVL', '@ADVL', '@SUBJ' ]},
{ 440 :[ '@ADVL', '@NEG', '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@OBJ' ]},
{ 441 :[ '@FMV', '@ADVL', '@ADVL', '@ADVL', '@OBJ' ]},
{ 442 :[ '@NEG', '@FMV', '@OBJ', '@ADVL', '@ADVL', '@SUBJ' ]},
{ 443 :[ '@FMV', '@FMV', '@OBJ', '@ADVL' ]},
{ 444 :[ '@OBJ', '@FCV', '@ADVL', '@IMV', '@ADVL', '@SUBJ' ]},
{ 445 :[ '@ADVL', '@SUBJ', '@FCV', '@ADVL', '@IMV', '@OBJ' ]},
{ 446 :[ '@ADVL', '@FCV', '@IMV', '@OBJ' ]},
{ 447 :[ '@FMV', '@OBJ', '@SUBJ', '@ADVL', '@ADVL' ]},
{ 448 :[ '@ADVL', '@FMV', '@SUBJ', '@OBJ', '@ADVL', '@ADVL', '@ADVL' ]},
{ 449 :[ '@SUBJ', '@FCV', '@OBJ', '@ADVL', '@IMV', '@OBJ' ]},
{ 450 :[ '@PRD', '@FCV', '@SUBJ', '@IMV' ]},
{ 451 :[ '@FMV', '@OBJ', '@ADVL', '@ADVL', '@OBJ', '@IMV' ]},
{ 452 :[ '@ADVL', '@SUBJ', '@FMV', '@OBJ', '@IMV', '@ADVL' ]},
{ 453 :[ '@ADVL', '@ADVL', '@FCV', '@IMV', '@OBJ' ]},
{ 454 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@IMV', '@ADVL' ]},
{ 455 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL', '@ADVL', '@OBJ' ]},
{ 456 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@IMV' ]},
{ 457 :[ '@ADVL', '@SUBJ', '@ADVL', '@NEG', '@FMV' ]},
{ 458 :[ '@FMV', '@IMV', '@PRD' ]},
{ 459 :[ '@FMV', '@SUBJ', '@OBJ', '@IMV' ]},
{ 460 :[ '@SUBJ', '@FMV', '@IMV', '@OBJ' ]},
{ 461 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@IMV', '@OBJ' ]},
{ 462 :[ '@ADVL', '@FMV', '@OBJ', '@ADVL', '@ADVL', '@SUBJ' ]},
{ 463 :[ '@PRD', '@SUBJ' ]},
{ 464 :[ '@SUBJ', '@NEG', '@FMV', '@ADVL', '@PRD' ]},
{ 465 :[ '@OBJ', '@FMV', '@PRD', '@ADVL', '@SUBJ' ]},
{ 466 :[ '@SUBJ', '@ADVL', '@FCV', '@ADVL', '@ADVL', '@IMV' ]},
{ 467 :[ '@SUBJ', '@ADVL', '@FMV', '@ADVL', '@SUBJ' ]},
{ 468 :[ '@ADVL', '@SUBJ', '@FCV', '@ADVL', '@IMV' ]},
{ 469 :[ '@ADVL', '@FCV', '@IMV', '@SUBJ', '@ADVL', '@ADVL', '@ADVL' ]},
{ 470 :[ '@FMV', '@IMV', '@OBJ', '@ADVL', '@OBJ' ]},
{ 471 :[ '@FCV', '@ADVL', '@ADVL', '@IMV' ]},
{ 472 :[ '@SUBJ', '@NEG', '@FCV', '@ADVL', '@ADVL', '@IMV', '@IMV' ]},
{ 473 :[ '@ADVL', '@FMV', '@SUBJ', '@OBJ', '@ADVL', '@ADVL' ]},
{ 474 :[ '@OBJ', '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 475 :[ '@SUBJ', '@NEG', '@FMV', '@OBJ', '@IMV', '@IMV', '@OBJ' ]},
{ 476 :[ '@ADVL', '@FCV', '@SUBJ', '@IMV', '@OBJ', '@ADVL', '@ADVL' ]},
{ 477 :[ '@ADVL', '@ADVL', '@ADVL', '@FMV', '@SUBJ', '@ADVL' ]},
{ 478 :[ '@FCV', '@FMV', '@FMV', '@ADVL' ]},
{ 479 :[ '@FMV', '@OBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 480 :[ '@SUBJ', '@ADVL', '@ADVL', '@FCV', '@ADVL', '@ADVL', '@IMV' ]},
{ 481 :[ '@ADVL', '@ADVL', '@SUBJ', '@FMV', '@ADVL', '@ADVL' ]},
{ 482 :[ '@ADVL', '@ADVL', '@FMV', '@ADVL', '@OBJ', '@SUBJ' ]},
{ 483 :[ '@PRD', '@NEG', '@FMV', '@SUBJ' ]},
{ 484 :[ '@ADVL', '@NEG', '@FMV', '@OBJ', '@ADVL', '@SUBJ' ]},
{ 485 :[ '@SUBJ', '@FMV', '@OBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL' ]},
{ 486 :[ '@FMV', '@OBJ', '@ADVL', '@IMV' ]},
{ 487 :[ '@OBJ', '@FCV', '@FMV' ]},
{ 488 :[ '@SUBJ', '@ADVL', '@IMV', '@NEG', '@FMV' ]},
{ 489 :[ '@SUBJ', '@FCV', '@OBJ', '@ADVL', '@IMV', '@IMV' ]},
{ 490 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL', '@IMV' ]},
{ 491 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@OBJ', '@IMV' ]},
{ 492 :[ '@SUBJ', '@FCV', '@IMV', '@ADVL', '@ADVL', '@ADVL' ]},
{ 493 :[ '@FMV', '@IMV', '@ADVL', '@ADVL', '@ADVL' ]},
{ 494 :[ '@SUBJ', '@FMV', '@OBJ', '@IMV', '@IMV' ]},
{ 495 :[ '@FMV', '@FMV', '@ADVL' ]},
{ 496 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@OBJ', '@ADVL' ]},
{ 497 :[ '@ADVL', '@OBJ', '@FCV', '@SUBJ', '@IMV' ]},
{ 498 :[ '@SUBJ', '@NEG', '@FMV', '@ADVL', '@ADVL', '@OBJ' ]},
{ 499 :[ '@ADVL', '@FMV', '@IMV', '@OBJ' ]},
{ 500 :[ '@ADVL', '@FCV', '@OBJ', '@ADVL', '@ADVL', '@IMV', '@SUBJ' ]},
{ 501 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@IMV' ]},
{ 502 :[ '@PRD', '@FMV', '@OBJ', '@SUBJ', '@ADVL' ]},
{ 503 :[ '@ADVL', '@NEG', '@FMV', '@IMV', '@SUBJ' ]},
{ 504 :[ '@ADVL', '@ADVL', '@FMV', '@SUBJ', '@ADVL' ]},
{ 505 :[ '@SUBJ', '@FMV', '@ADVL', '@OBJ', '@ADVL', '@OBJ' ]},
{ 506 :[ '@ADVL', '@ADVL', '@OBJ', '@FMV' ]},
{ 507 :[ '@SUBJ', '@FMV', '@OBJ', '@ADVL', '@ADVL', '@ADVL' ]},
{ 508 :[ '@ADVL', '@ADVL', '@SUBJ', '@ADVL', '@FMV', '@OBJ', '@ADVL' ]},
{ 509 :[ '@OBJ', '@FMV', '@OBJ', '@IMV', '@ADVL' ]},
{ 510 :[ '@SUBJ', '@FCV', '@ADVL', '@OBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 511 :[ '@SUBJ', '@PRD', '@NEG', '@FMV' ]},
{ 512 :[ '@ADVL', '@ADVL', '@ADVL', '@FMV', '@OBJ', '@ADVL', '@SUBJ' ]},
{ 513 :[ '@ADVL', '@FCV', '@ADVL', '@OBJ', '@ADVL', '@IMV' ]},
{ 514 :[ '@ADVL', '@ADVL', '@ADVL', '@FMV', '@ADVL', '@SUBJ' ]},
{ 515 :[ '@ADVL', '@SUBJ', '@FCV', '@OBJ', '@IMV' ]},
{ 516 :[ '@SUBJ', '@PRD', '@NEG', '@FMV', '@IMV' ]},
{ 517 :[ '@SUBJ', '@ADVL', '@ADVL', '@FMV', '@PRD' ]},
{ 518 :[ '@SUBJ', '@FMV', '@ADVL', '@PRD', '@ADVL' ]},
{ 519 :[ '@ADVL', '@FMV', '@ADVL', '@ADVL', '@ADVL', '@SUBJ' ]},
{ 520 :[ '@ADVL', '@OBJ', '@FMV', '@SUBJ', '@ADVL', '@ADVL' ]},
{ 521 :[ '@OBJ', '@ADVL', '@FMV', '@ADVL', '@SUBJ' ]},
{ 522 :[ '@OBJ', '@ADVL', '@FMV', '@ADVL' ]},
{ 523 :[ '@ADVL', '@ADVL', '@FCV', '@SUBJ', '@ADVL', '@IMV', '@IMV' ]},
{ 524 :[ '@ADVL', '@FMV', '@ADVL', '@SUBJ', '@ADVL', '@PRD' ]},
{ 525 :[ '@SUBJ', '@FCV', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@IMV' ]},
{ 526 :[ '@ADVL', '@ADVL', '@FMV', '@ADVL', '@SUBJ', '@ADVL' ]},
{ 527 :[ '@SUBJ', '@ADVL', '@SUBJ', '@FMV', '@PRD' ]},
{ 528 :[ '@ADVL', '@FMV', '@OBJ', '@IMV' ]},
{ 529 :[ '@SUBJ', '@ADVL', '@NEG', '@FMV', '@ADVL' ]},
{ 530 :[ '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@PRD', '@ADVL' ]},
{ 531 :[ '@ADVL', '@ADVL', '@SUBJ', '@OBJ', '@NEG', '@FMV' ]},
{ 532 :[ '@ADVL', '@NEG', '@FMV', '@SUBJ', '@ADVL', '@OBJ' ]},
{ 533 :[ '@OBJ', '@FMV', '@SUBJ', '@ADVL', '@ADVL' ]},
{ 534 :[ '@ADVL', '@FMV', '@ADVL', '@OBJ', '@SUBJ', '@OBJ' ]},
{ 535 :[ '@OBJ', '@FMV', '@SUBJ', '@IMV' ]},
{ 536 :[ '@SUBJ', '@NEG', '@FCV', '@ADVL', '@OBJ', '@IMV' ]},
{ 537 :[ '@ADVL', '@FCV', '@SUBJ', '@ADVL', '@IMV' ]},
{ 538 :[ '@FCV', '@IMV', '@ADVL', '@OBJ' ]},
{ 539 :[ '@ADVL', '@ADVL', '@SUBJ', '@FMV', '@ADVL', '@ADVL', '@OBJ' ]},
{ 540 :[ '@OBJ', '@FMV', '@PRD', '@IMV' ]},
{ 541 :[ '@ADVL', '@FMV', '@ADVL', '@IMV' ]},
{ 542 :[ '@ADVL', '@SUBJ', '@FMV', '@IMV', '@ADVL', '@OBJ' ]},
{ 543 :[ '@SUBJ', '@NEG', '@FCV', '@OBJ', '@ADVL', '@IMV' ]},
{ 544 :[ '@ADVL', '@FCV', '@IMV', '@ADVL', '@OBJ' ]},
{ 545 :[ '@NEG', '@FMV', '@IMV' ]},
{ 546 :[ '@SUBJ', '@NEG', '@FMV', '@ADVL', '@ADVL', '@ADVL' ]},
{ 547 :[ '@SUBJ', '@FMV', '@IMV', '@IMV' ]},
{ 548 :[ '@ADVL', '@SUBJ', '@FMV' ]},
{ 549 :[ '@OBJ', '@FMV' ]},
{ 550 :[ '@SUBJ', '@OBJ', '@FMV' ]},
{ 551 :[ '@SUBJ', '@ADVL', '@ADVL', '@FMV' ]},
{ 552 :[ '@OBJ', '@ADVL', '@FMV' ]},
{ 553 :[ '@SUBJ', '@ADVL', '@OBJ', '@ADVL', '@FMV' ]},
{ 554 :[ '@ADVL', '@IMV' ]},
{ 555 :[ '@SUBJ', '@OBJ', '@ADVL', '@FMV' ]},
{ 556 :[ '@SUBJ', '@ADVL', '@OBJ', '@FMV' ]},
{ 557 :[ '@OBJ', '@SUBJ', '@FMV', '@ADVL' ]},
{ 558 :[ '@OBJ', '@IMV' ]},
{ 559 :[ '@ADVL', '@SUBJ', '@ADVL', '@ADVL', '@FMV' ]},
{ 560 :[ '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 561 :[ '@ADVL', '@FCV', '@IMV' ]},
{ 562 :[ '@OBJ', '@ADVL', '@IMV' ]},
{ 563 :[ '@SUBJ', '@ADVL', '@ADVL', '@FCV', '@IMV' ]},
{ 564 :[ '@SUBJ', '@ADVL', '@FMV', '@PRD' ]},
{ 565 :[ '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 566 :[ '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 567 :[ '@FMV', '@ADVL', '@IMV' ]},
{ 568 :[ '@SUBJ', '@ADVL', '@ADVL', '@OBJ', '@FMV' ]},
{ 569 :[ '@ADVL', '@ADVL', '@FMV', '@ADVL' ]},
{ 570 :[ '@FCV', '@IMV', '@OBJ' ]},
{ 571 :[ '@OBJ', '@ADVL', '@FCV', '@IMV' ]},
{ 572 :[ '@ADVL', '@SUBJ', '@OBJ', '@ADVL', '@FMV' ]},
{ 573 :[ '@ADVL', '@FCV', '@SUBJ', '@IMV', '@ADVL' ]},
{ 574 :[ '@ADVL', '@SUBJ', '@ADVL', '@ADVL', '@NEG', '@FMV' ]},
{ 575 :[ '@OBJ', '@SUBJ', '@FCV', '@ADVL', '@IMV' ]},
{ 576 :[ '@ADVL', '@ADVL', '@SUBJ', '@OBJ', '@FMV' ]},
{ 577 :[ '@FCV', '@IMV', '@ADVL', '@ADVL' ]},
{ 578 :[ '@SUBJ', '@ADVL', '@IMV', '@FMV' ]},
{ 579 :[ '@SUBJ', '@ADVL', '@OBJ', '@ADVL', '@ADVL', '@FMV' ]},
{ 580 :[ '@SUBJ', '@FMV', '@OBJ', '@PRD' ]},
{ 581 :[ '@FMV', '@ADVL', '@ADVL', '@OBJ', '@IMV' ]},
{ 582 :[ '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@FMV', '@ADVL', '@PRD' ]},
{ 583 :[ '@SUBJ', '@IMV', '@FMV' ]},
{ 584 :[ '@SUBJ', '@FCV', '@OBJ', '@IMV', '@ADVL' ]},
{ 585 :[ '@SUBJ', '@ADVL', '@OBJ', '@NEG', '@FMV' ]},
{ 586 :[ '@SUBJ', '@OBJ', '@FMV', '@ADVL', '@ADVL' ]},
{ 587 :[ '@SUBJ', '@OBJ', '@NEG', '@FCV', '@IMV' ]},
{ 588 :[ '@OBJ', '@ADVL', '@FMV', '@FMV', '@ADVL', '@ADVL' ]},
{ 589 :[ '@OBJ', '@FMV', '@IMV', '@ADVL', '@OBJ', '@ADVL' ]},
{ 590 :[ '@ADVL', '@ADVL', '@ADVL', '@SUBJ', '@FMV' ]},
{ 591 :[ '@ADVL', '@ADVL', '@ADVL', '@IMV' ]},
{ 592 :[ '@OBJ', '@SUBJ', '@ADVL', '@FCV', '@IMV' ]},
{ 593 :[ '@OBJ', '@SUBJ', '@OBJ', '@FMV' ]},
{ 594 :[ '@SUBJ', '@ADVL', '@ADVL', '@PRD', '@FMV' ]},
{ 595 :[ '@FMV', '@IMV', '@OBJ', '@ADVL' ]},
{ 596 :[ '@OBJ', '@SUBJ', '@IMV', '@FMV' ]},
{ 597 :[ '@SUBJ', '@ADVL', '@OBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 598 :[ '@ADVL', '@SUBJ', '@FMV', '@PRD', '@ADVL', '@ADVL' ]},
{ 599 :[ '@FMV', '@SUBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 600 :[ '@SUBJ', '@ADVL', '@IMV', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 601 :[ '@ADVL', '@FCV', '@IMV', '@ADVL', '@SUBJ', '@ADVL' ]},
{ 602 :[ '@ADVL', '@FMV', '@ADVL', '@SUBJ', '@OBJ' ]},
{ 603 :[ '@FMV', '@SUBJ', '@ADVL', '@OBJ' ]},
{ 604 :[ '@ADVL', '@SUBJ', '@ADVL', '@NEG', '@FMV', '@ADVL' ]},
{ 605 :[ '@ADVL', '@OBJ', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 606 :[ '@ADVL', '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL', '@FMV' ]},
{ 607 :[ '@OBJ', '@SUBJ', '@ADVL', '@OBJ', '@FMV' ]},
{ 608 :[ '@FMV', '@SUBJ', '@ADVL', '@IMV', '@ADVL', '@OBJ', '@ADVL' ]},
{ 609 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@ADVL', '@SUBJ' ]},
{ 610 :[ '@SUBJ', '@ADVL', '@ADVL', '@FCV', '@ADVL', '@IMV' ]},
{ 611 :[ '@IMV', '@FMV' ]},
{ 612 :[ '@FCV', '@ADVL', '@ADVL', '@SUBJ', '@IMV' ]},
{ 613 :[ '@ADVL', '@OBJ', '@ADVL', '@IMV', '@FMV' ]},
{ 614 :[ '@SUBJ', '@ADVL', '@ADVL', '@FMV', '@ADVL' ]},
{ 615 :[ '@ADVL', '@SUBJ', '@OBJ', '@FCV', '@IMV' ]},
{ 616 :[ '@OBJ', '@ADVL', '@FCV', '@IMV', '@OBJ' ]},
{ 617 :[ '@SUBJ', '@ADVL', '@ADVL', '@FMV', '@IMV', '@ADVL', '@OBJ' ]},
{ 618 :[ '@OBJ', '@SUBJ', '@ADVL', '@FCV', '@ADVL', '@IMV' ]},
{ 619 :[ '@ADVL', '@ADVL', '@FMV', '@IMV', '@SUBJ', '@OBJ' ]},
{ 620 :[ '@SUBJ', '@ADVL', '@ADVL', '@ADVL', '@OBJ', '@FMV' ]},
{ 621 :[ '@FCV', '@SUBJ', '@ADVL', '@ADVL', '@IMV' ]},
{ 622 :[ '@IMV', '@OBJ', '@IMV', '@ADVL' ]},
{ 623 :[ '@FCV', '@OBJ', '@ADVL', '@IMV' ]},
{ 624 :[ '@ADVL', '@SUBJ', '@FMV', '@OBJ', '@ADVL', '@ADVL', '@ADVL', '@ADVL' ]},
{ 625 :[ '@ADVL', '@SUBJ', '@FMV', '@IMV' ]},
{ 626 :[ '@SUBJ', '@OBJ', '@ADVL', '@FCV', '@IMV' ]},
{ 627 :[ '@ADVL', '@SUBJ', '@ADVL', '@OBJ', '@FCV', '@IMV' ]},
{ 628 :[ '@NEG', '@FMV', '@ADVL', '@SUBJ', '@ADVL' ]},
{ 629 :[ '@OBJ', '@FCV', '@ADVL', '@IMV', '@ADVL', '@ADVL' ]},
{ 630 :[ '@ADVL', '@SUBJ', '@ADVL', '@NEG', '@FCV', '@IMV' ]},
{ 631 :[ '@ADVL', '@SUBJ', '@NEG', '@FMV', '@OBJ', '@IMV' ]},
{ 632 :[ '@NEG', '@FMV', '@SUBJ', '@OBJ', '@ADVL', '@OBJ', '@ADVL' ]},
{ 633 :[ '@NEG', '@FMV', '@SUBJ', '@OBJ', '@IMV' ]},
{ 634 :[ '@ADVL', '@SUBJ', '@FMV', '@ADVL', '@IMV' ]}
])

